Headers

  • Accept string Required

Path parameters

  • accountId string Required

    Deliverect account ID

Query parameters

  • size integer(int32)
  • page integer(int32)

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • total number
    • page number
    • size number
    • items array[string]
GET /crm/admin/{accountId}/customers
curl \
 --request GET 'https://api.staging.deliverect.com/crm/admin/{accountId}/customers' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Accept: application/json"
Response examples (200)
{
  "page": 1,
  "size": 50,
  "items": [
    {
      "email": "john.doe@example.com",
      "fullName": "John Doe",
      "accountId": "68d81ae5bbd981dd03137bdd",
      "customerId": "nvd5EEwnW3m92y_DFMEvSq0wMNaw5UdjyB9h-0aeqlE8v0eK8NtZXEsViPDnBBySUG7JJECegYBWpUlhGvc",
      "totalOrders": 12,
      "lastPurchaseDate": "2025-10-31T14:34:12.636000Z"
    },
    {
      "email": "alice.smith@example.com",
      "fullName": "Alice Smith",
      "accountId": "68d81ae5bbd981dd03137bdd",
      "customerId": "NZc_pJDRjGeKHhR0gruufxoholiUFykFA6HOowJd6ukekLaSROWYZuBkKt0yGScKGk450Qw-g92erM098Aj_QRIVziHw4Rk",
      "totalOrders": 1,
      "lastPurchaseDate": "2025-10-31T14:37:31.898000Z"
    },
    {
      "email": "bob.jones@example.com",
      "fullName": "Bob Jones",
      "accountId": "68d81ae5bbd981dd03137bdd",
      "customerId": "wH0n04wfx7Df7OE2ND5Osd0-aGmHp89YDLEoIEaT2xgZGqM4b76ijMNAtxwD47pVv0lqO-NfjqUo6w",
      "totalOrders": 2,
      "lastPurchaseDate": "2025-10-24T16:51:03.249000Z"
    },
    {
      "email": "charlie.brown@example.com",
      "fullName": "Charlie Brown",
      "accountId": "68d81ae5bbd981dd03137bdd",
      "customerId": "1n86FgDi205qoxaMuHvdS0nymnS76QSzA4hCex6ajtWx4BMcqLqPOlGoB7fWTaPKTcney4IGJinbtM3m",
      "totalOrders": 6,
      "lastPurchaseDate": "2025-10-24T16:45:14.665000Z"
    },
    {
      "email": "eve.williams@example.com",
      "fullName": "Eve Williams",
      "accountId": "68d81ae5bbd981dd03137bdd",
      "customerId": "yAF1BL4Nyt2uOwkoVoJKc4Ga4hsGIBzELUGiJjB6g2gmgpB_pmYtONTWCI4pxLbVqm3d63Fs",
      "totalOrders": 0,
      "lastPurchaseDate": null
    }
  ],
  "total": 5
}